#!/usr/bin/perl -w
# Version 1.1
# works on CIAO format region files for circular and 
# elliptical regions in physical coordinates 

print "ASCII source region file (CIAO format): ";
$sourceFile = <STDIN>;
chomp ($sourceFile);

print "ASCII background region file (CIAO format): ";
$bgFile = <STDIN>;
chomp ($bgFile);

print "Output filename: ";
$outfile = <STDIN>;
chomp ($outfile);

@srcList = ();
open (FILE, "<$sourceFile") || die "Can't open source file\n";
@srcList = <FILE>;
close (FILE);

@bgList = ();
open (FILE, "<$bgFile") || die "Can't open background file\n";
@bgList = <FILE>;
close (FILE);

# delete first line if it's a comment
if ($srcList[0] =~ s/#//) {
    shift (@srcList);
}
# delete first line if it's a comment
if ($bgList[0] =~ s/#//) {
    shift (@bgList);
}

@new = ();
$a = 0;

foreach $line (@bgList) {
    chomp $line;
    $newline = "$line-$srcList[$a]";
    $a++;
    push @new, $newline;
}

open (OUTFILE, ">$outfile") || die "Can't write output file $outfile\n";
print OUTFILE (@new);
close (OUTFILE);
exit(0);
